( function( $ ) {
	'use strict';

	$( '.easy-like-rating__image img' ).on( 'click', function( e ) {
		if ( ! dw_easy_like_rating.is_user_logged_in ) {
			return false;
		}

		var $heart       = $( e.target );
		var $count       = $heart.parent().next();
		var countNumber  = parseInt( $count.text() );
		var ajaxAction   = $heart.data( 'ajax_action' );
		var objectId     = $heart.data( 'object_id' );
		var userId       = $heart.data( 'user_id' );
		var isClicked    = $heart.data( 'is_clicked' );
		var objectAction = 'like';

		if ( isClicked ) {
			objectAction = 'unlike';
		}

		var args = {
			action: ajaxAction,
			object_action: objectAction,
			object_id: objectId,
			user_id: userId,
			nonce: dw_easy_like_rating.nonce,
		}

		switch ( objectAction ) {
			case 'like' :
				$heart.attr( 'src', dw_easy_like_rating.heart.filled );
				$heart.data( 'is_clicked', true );
				$count.text( ++countNumber );
				break;
			case 'unlike' :
				$heart.attr( 'src', dw_easy_like_rating.heart.not_filled );
				$heart.data( 'is_clicked', false );
				$count.text( --countNumber );
				break;
		}

		$.post( dw_easy_like_rating.ajaxurl, args );
	} );
} )( jQuery );