<?php

namespace Easy_Like_Rating;

function get_rating_meta_name() {
	return '_dw_easy_like_rating';
}

function get_heart_image_url( $is_clicked = false ) {
	$postfix = $is_clicked ? 'd' : '';

	return get_plugin_url() . 'assets/images/like' . $postfix . '.svg';
}

function get_html_attrs( $attrs ) {
    if ( is_array( $attrs ) && $attrs ) {
        $html = '';

        foreach ( $attrs as $key => $value ) {
            $html .= sprintf(
                '%s="%s"',
                sanitize_key( $key ),
                esc_attr( $value )
            );
        }

        return $html;
    }

    return false;
}

function html_get_rating( $object_id, $user_id, $is_clicked, $ajax_action, $count = 0 ) {
	$html = '';

	$container_classes = '';

	if ( ! is_user_logged_in() ) {
		$container_classes .= ' easy-like-rating--user_not_logged_in';
	}

	$image_attrs  = array(
		'src'              => get_heart_image_url( $is_clicked ),
		'alt'              => __( 'Like it!', 'easy-like-rating' ),
		'data-object_id'   => $object_id,
		'data-user_id'     => $user_id,
		'data-is_clicked'  => $is_clicked,
		'data-ajax_action' => $ajax_action,
	);

	$htm_image  = sprintf( '<img %s>', get_html_attrs( $image_attrs ) );

	$html .= sprintf( '<div class="easy-like-rating%s">', $container_classes );
	$html .= sprintf( '<div class="easy-like-rating__image">%s</div>', $htm_image );
	$html .= sprintf( '<div class="easy-like-rating__count">%d</div>', $count );
	$html .= '</div>';

	return $html;
}
