<?php

namespace Easy_Like_Rating\Scripts;

use function Easy_Like_Rating\get_heart_image_url;
use function Easy_Like_Rating\get_plugin_url;
use function Easy_Like_Rating\get_plugin_path;

defined( 'ABSPATH' ) || exit;

function get_rating_script_handle() {
	return 'dw-elr-rating';
}

function register_rating_script() {
	$style_path  = 'assets/css/rating.css';
	$script_path = 'assets/js/rating.js';

	wp_register_style(
		get_rating_script_handle(),
		get_plugin_url() . $style_path,
		array(),
		filemtime( get_plugin_path() . $style_path )
	);

	wp_register_script(
		get_rating_script_handle(),
		get_plugin_url() . $script_path,
		array( 'jquery' ),
		filemtime( get_plugin_path() . $script_path ),
		true
	);

	wp_localize_script(
		get_rating_script_handle(),
		'dw_easy_like_rating',
		array(
			'ajaxurl'           => admin_url( 'admin-ajax.php' ),
			'is_user_logged_in' => is_user_logged_in(),
			'heart'  => array(
				'filled'     => get_heart_image_url( true ),
				'not_filled' => get_heart_image_url(),
			),
			'nonce'             => wp_create_nonce( 'dw-easy-like-rating' )
		)
	);
}
add_action( 'wp_enqueue_scripts', __NAMESPACE__ . '\register_rating_script' );

function enqueue_rating_script() {
	wp_enqueue_style( get_rating_script_handle() );
	wp_enqueue_script( get_rating_script_handle() );
}
